Page MenuHomePhabricator

Add support for restful crossRef api
Closed, ResolvedPublic

Description

Try to cite 10.1016/S0305-0491(98)00022-4. It will result in date=1998-01-01 even though it says "May 1998" is available from crossRef restful API:

https://api.crossref.org/v1/works/http://dx.doi.org/10.1016/s0305-0491(98)00022-4
https://github.com/CrossRef/rest-api-doc/blob/master/rest_api.md

Event Timeline

Josve05a created this task.Aug 6 2015, 11:54 AM
Josve05a raised the priority of this task from to Needs Triage.
Josve05a updated the task description. (Show Details)
Josve05a added projects: Citoid, VisualEditor.
Josve05a added subscribers: Josve05a, Mvolz.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2015, 11:54 AM
Mvolz closed this task as Invalid.Aug 8 2015, 1:18 PM
Mvolz set Security to None.

Yeah, but Citoid shouldn't say 1 January then. And it says May on http://search.crossref.org/?q=10.1016%2FS0305-0491(98)00022-4&page=

Josve05a reopened this task as Open.EditedAug 9 2015, 1:05 PM
  • Since it adds 1 January, even though it only knows the year is wrong.
  • There is API out there which can get more precise dates (above).
Mvolz renamed this task from Citing doi's results in dates as YYYY-01-01 to Add support for restful crossRef api.Aug 11 2015, 6:51 AM
Mvolz updated the task description. (Show Details)
Jdforrester-WMF triaged this task as Low priority.Aug 11 2015, 7:12 PM
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.
Mvolz moved this task from Backlog to IO Tasks on the Citoid board.Aug 12 2015, 9:02 AM

Change 239564 had a related patch set uploaded (by Mvolz):
New dublinCore translator and template translator

https://gerrit.wikimedia.org/r/239564

Change 239564 merged by Mobrovac:
New dublinCore translator and template translator

https://gerrit.wikimedia.org/r/239564

mobrovac moved this task from IO Tasks to Waiting on Deploy on the Citoid board.Oct 7 2015, 2:41 PM
mobrovac removed a project: Patch-For-Review.
mobrovac removed a subscriber: gerritbot.
Mvolz added a comment.Oct 7 2015, 3:31 PM

The merged patch was for the originally reported bug (bad date from
crossref) but this still isn't done as we should still switch to the json
api.

mobrovac moved this task from Waiting on Deploy to IO Tasks on the Citoid board.Oct 7 2015, 3:57 PM
Elitre added a subscriber: Elitre.Nov 20 2017, 10:33 AM
Mvolz claimed this task.Jan 15 2018, 11:17 AM
Mvolz raised the priority of this task from Low to Normal.

Change 412701 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/services/citoid@master] [WIP] Support for crossRef REST API

https://gerrit.wikimedia.org/r/412701

Change 412701 merged by jenkins-bot:
[mediawiki/services/citoid@master] Support for Crossref REST API

https://gerrit.wikimedia.org/r/412701

Change 428306 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/citoid/deploy@master] Config: Add the contact e-mail address

https://gerrit.wikimedia.org/r/428306

Change 428306 merged by Mobrovac:
[mediawiki/services/citoid/deploy@master] Config: Add the contact e-mail address

https://gerrit.wikimedia.org/r/428306

Mentioned in SAL (#wikimedia-operations) [2018-04-23T11:22:19Z] <mobrovac@tin> Started deploy [citoid/deploy@b3c0818]: Add support for restful crossRef API and Wikidata QIDs - T108175 T176411

Mentioned in SAL (#wikimedia-operations) [2018-04-23T11:25:55Z] <mobrovac@tin> Finished deploy [citoid/deploy@b3c0818]: Add support for restful crossRef API and Wikidata QIDs - T108175 T176411 (duration: 03m 36s)

Mvolz closed this task as Resolved.Apr 26 2018, 9:07 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 26 2018, 9:07 AM